
JARS - Task #1040

Milestone # 202 (New): SOFTWARE

Adaptación del software de adquisición C++ en Linux

07/05/2017 08:04 PM - John Rojas

Status: Closed Start date: 06/29/2017

Priority: Normal Due date: 07/05/2018

Assignee: John Rojas % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Versión 2.0 Spent time: 0.00 hour

Description

-Desarrollo del software de adquisición en C++, para resolver problema de pérdida de paquetes en el uso del software desarrollado

en Python.

History

#1 - 07/05/2017 08:05 PM - John Rojas

- % Done changed from 0 to 40

05/07:

-Se tiene la configuración de parámetros de red.

-En avance de lectura de parámetros de controlador de radar para configuración del sistema.

#2 - 07/10/2017 01:22 PM - John Rojas

- Subject changed from Desarrollo del software para configuración y adquisición en C++ to Desarrollo del software para configuración y adquisición en

C++ en Linux

#3 - 07/10/2017 01:24 PM - John Rojas

- Subject changed from Desarrollo del software para configuración y adquisición en C++ en Linux to Adaptación del software de adquisición en Linux

#4 - 07/10/2017 01:24 PM - John Rojas

- Due date changed from 07/07/2017 to 07/13/2017

#5 - 08/20/2017 06:57 PM - John Rojas

- Subject changed from Adaptación del software de adquisición en Linux to Adaptación del software de adquisición C++ en Linux

#6 - 08/23/2017 04:22 AM - John Rojas

- Due date changed from 07/13/2017 to 09/15/2017

- Status changed from New to In progress

#7 - 08/23/2017 04:22 AM - John Rojas

- % Done changed from 40 to 50

#8 - 09/26/2017 05:39 PM - John Rojas

- Due date changed from 09/15/2017 to 10/06/2017

#9 - 10/25/2017 12:33 PM - John Rojas

- Due date changed from 10/06/2017 to 11/10/2017

- % Done changed from 50 to 60
-10/10/2017: Recepción de paquetes de datos para la formación de los perfiles.

#10 - 01/30/2018 06:06 PM - John Rojas

- Due date changed from 11/10/2017 to 03/02/2018

#11 - 03/19/2018 02:07 PM - John Rojas

- Due date changed from 03/02/2018 to 03/30/2018

#12 - 03/28/2018 10:12 AM - John Rojas

- Due date changed from 03/30/2018 to 04/13/2018

- % Done changed from 60 to 70

03/03/2018: Ajustes de librería JicaHeader para almacenar datos generados en modo coperball.

13/03/2018: En proceso de adquisición de datos usando el prototipo funcional.

#13 - 04/12/2018 05:22 AM - John Rojas

- Due date changed from 04/13/2018 to 04/26/2018

#14 - 05/26/2018 10:39 AM - John Rojas

- Due date changed from 04/26/2018 to 06/08/2018

- % Done changed from 70 to 80

28/05: Implementación y pruebas de sockets zmq para adquisición y reconstrucción de perfiles.

#15 - 05/26/2018 10:40 AM - John Rojas

- % Done changed from 80 to 90

#16 - 06/24/2018 09:58 PM - John Rojas

- Due date changed from 06/08/2018 to 07/05/2018

25/06/18: Adquisición y almacenamiento del archivo de datos en PC. Se realizará pruebas de desempeño en periodos largos para comprobar

confiabilidad del sistema.

Se implementará nuevos comandos para selección entre canales reales y simulados.

#17 - 07/03/2018 10:49 PM - John Rojas

03/07/18: Ajuste del sw de adquisición para utilizar doble buffer para adquisición de bloques y almacenamiento en disco.

#18 - 07/24/2018 10:22 PM - John Rojas

- % Done changed from 90 to 100

04/07/18: Se implementó el comando MODE_OPERATION de acuerdo al funcionamiento del sistema con ventana de muestreo propia o externa.

05/07/18: Se implementó el comando SELECT_RXD para indicar al sistema que tarjetas se encuentran conectadas a la tarjeta Bus.

#19 - 07/24/2018 10:23 PM - John Rojas

- Status changed from In progress to Resolved
#20 - 09/26/2018 03:25 PM - John Rojas

- Status changed from Resolved to Closed
